import { useTrainingsQuery, useCreateTrainingMutation } from '../../gql'

const NewBlock = () => {
  return <p>nothing</p>
}

const TrainingList = () => {
  const { data, error, loading } = useTrainingsQuery()

  return (
    <ul>{data && data.trainings.map(training => console.log(training))}</ul>
  )
}

const NewTraining = () => {
  const [a, b] = useCreateTrainingMutation()

  return (
    <>
      <TrainingList />

      <form>
        <label>
          Title
          <input type='text' />
        </label>
        <label>
          Type
          <select>
            <option>Type 1</option>
          </select>
        </label>
        <label>
          Training date{' '}
          <input type='date' name='trainingDate' id='trainingDate' />
        </label>
        <label>
          Location <input type='text' name='location' id='location' />
        </label>
        <label>
          Attendance <input type='number' name='attendance' id='attendance' />
        </label>
        <label>
          Published <input type='checkbox' name='published' id='published' />
        </label>
        <label>Blocks</label>
        <NewBlock />
        <button type='submit'>Save</button>
      </form>
    </>
  )
}

export default NewTraining
